Subject: Re: bug#10181: 24.0.92; [wishlist] split `diff-refine-change' in several faces

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 May 2012 14:24:21 -0400

> One solution would be to define `diff-changed-face' (currently defvar)
> with defcustom.  Then users will be able to customize it to nil to use
> just two faces `diff-removed' and `diff-added'.

I think

  (defvar diff-use-changed (not (or (face-equal diff-changed diff-added)
                                    (face-equal diff-changed diff-removed))))

would be good enough (together with the rest of your patch, which
decides whether to use added-vs-changed or removed-vs-changed.

        Stefan